LinHES - Bug # 473: Firefox 3.5 crashes when flash video is set to full screen.

Status: Closed Priority: Normal
Author: uteck Category:

Created: 08/03/2009 Assignee: GregFrost
Updated: 03/20/2010 Due date:

Description: Firefox 3.5 crashes when flash video is set to full screen.

History

08/04/2009 08:35 am - Human

This seems to be a general problem with a general fix:

http://webupd8.blogspot.com/2009/07/how-to-fix-full-screen-flash-videos-in.html

Would you like to update LinHES's firefox package to add this pre-launch script so that 'firefox' runs the flash fix and then firefox?

08/05/2009 08:36 pm - GregFrost

That sounds like a good plan. rename firefox to firefox.bin and then make firefox a script that sets LD_PRELOAD and then runs firefox.bin

When | tried it, | didnt have the flash plugin installed. | think we should also make the flash plugin part of the firefox package.

Is there a location to install plugins other than ~/.mozilla/plugins to make a given plugin available to all users? Otherwise | can forsee problems with

updrades that restore the contents of the home directories.

08/05/2009 09:12 pm - GregFrost

plugin made part of package and installed in /usr/lib/firefox-3.5/plugins

script created with LD_PRELOAD
synching changes now.
